---
Name: "classify"
Description: "A task to add classification data to Machines."
Documentation: |
  This will run specified `test` and `action` sequences to make
  changes to a Machines object.

Meta:
  color: "blue"
  feature-flags: "sane-exit-codes"
  icon: "search"
  title: "RackN"
ExtraClaims:
  - scope: "pools"
    action: "*"
    specific: "*"
Templates:
  - Meta:
      OS: "linux,darwin"
    Contents: |
      {{ .CallTemplate "classify.sh.tmpl" . }}
    Name: "classify.sh"
  - Meta:
      OS: "windows"
    Contents: |
      {{ .CallTemplate "classify.ps1.tmpl" . }}
    Name: "classify.ps1"
  - Meta:
      OS: "esxi"
    Contents: |
      {{ .CallTemplate "classify-esxi.sh.tmpl" . }}
    Name: "classify-esxi.sh"
